FROM ubuntu:24.04

LABEL maintainer="amass <168062547@qq.com>"

ENV DEBIAN_FRONTEND=noninteractive

ENV ACT_VERSION 0.2.11

RUN sed -i 's@//.*archive.ubuntu.com@//mirrors.ustc.edu.cn@g' /etc/apt/sources.list.d/ubuntu.sources \
    && apt update \
    && apt install -y ca-certificates curl git gettext jq tini \
    && curl https://gitea.com/gitea/act_runner/releases/download/v${ACT_VERSION}/act_runner-${ACT_VERSION}-linux-amd64 -o /usr/local/bin/act_runner \
    && chmod +x /usr/local/bin/act_runner \
    && install -m 0755 -d /etc/apt/keyrings \
    && curl -fsSL https://download.docker.com/linux/ubuntu/gpg -o /etc/apt/keyrings/docker.asc \
    && chmod a+r /etc/apt/keyrings/docker.asc \
    && echo "deb [arch=$(dpkg --print-architecture) signed-by=/etc/apt/keyrings/docker.asc] https://download.docker.com/linux/ubuntu $(. /etc/os-release && echo "$VERSION_CODENAME") stable" | tee /etc/apt/sources.list.d/docker.list > /dev/null \
    && curl -fsSL https://deb.nodesource.com/setup_lts.x | bash - \
    && apt update \
    && apt install -y docker-ce-cli nodejs

COPY resources/act_runner.sh /opt/act/run.sh

ENTRYPOINT ["tini","--","/opt/act/run.sh"]

# docker build --progress tty -f act_runner.dockerfile -t registry.cn-shenzhen.aliyuncs.com/amass_toolset/act_runner:0.2.11 .
# docker push registry.cn-shenzhen.aliyuncs.com/amass_toolset/act_runner:0.2.11