FROM amd64/alpine:3.18

LABEL maintainer="amass <168062547@qq.com>"

ENV FRP_VERSION 0.61.1

RUN apk add openssl curl ca-certificates \
    && wget 'http://openresty.org/package/admin@openresty.com-5ea678a6.rsa.pub' \
    && mv 'admin@openresty.com-5ea678a6.rsa.pub' /etc/apk/keys/ \
    && . /etc/os-release \
    && MAJOR_VER=`echo $VERSION_ID | sed 's/\.[0-9]\+$//'` \
    && echo "http://openresty.org/package/alpine/v$MAJOR_VER/main" | tee -a /etc/apk/repositories \
    && apk update \
    && apk add openresty openresty-resty openresty-opm \
    && opm get bungle/lua-resty-session

RUN cd /root \
    && wget --no-check-certificate -c https://github.com/fatedier/frp/releases/download/v${FRP_VERSION}/frp_${FRP_VERSION}_linux_amd64.tar.gz \
    && tar zxvf frp_${FRP_VERSION}_linux_amd64.tar.gz \
    && cd frp_${FRP_VERSION}_linux_amd64/ \
    && cp frpc /usr/bin/ \
    && mkdir -p /etc/frp \
    && cp frpc.toml /etc/frp \
    && cd /root \
    && rm frp_${FRP_VERSION}_linux_amd64.tar.gz \
    && rm -rf frp_${FRP_VERSION}_linux_amd64/

ENTRYPOINT if [ -d /app ]; then cd /app && openresty -p /app; fi; /usr/bin/frpc -c /etc/frp/frpc.toml

# docker build --progress=tty -f frpc.dockerfile -t registry.cn-shenzhen.aliyuncs.com/amass_toolset/frpc:0.61.1 .