FROM registry.cn-shenzhen.aliyuncs.com/amass_toolset/ubuntu_dev:24.04

ENV QT_VERSION=6.8.2

RUN cd /root \
    && apt update \
    && apt install -y libgl1-mesa-dev libfontconfig1-dev libfreetype-dev libx11-dev libx11-xcb-dev libxext-dev libxfixes-dev libxi-dev libxrender-dev libxcb1-dev libxcb-cursor-dev libxcb-glx0-dev libxcb-keysyms1-dev libxcb-image0-dev libxcb-shm0-dev libxcb-icccm4-dev libxcb-sync-dev libxcb-xfixes0-dev libxcb-shape0-dev libxcb-randr0-dev libxcb-render-util0-dev libxcb-util-dev libxcb-xinerama0-dev libxcb-xkb-dev libxkbcommon-dev libxkbcommon-x11-dev \
    && apt install -y libavcodec-dev libavformat-dev libavutil-dev libswscale-dev libavfilter-dev libavdevice-dev \
    && apt clean \
    && rm -fr /var/lib/apt/lists/* /tmp/* /var/tmp/* \
    && wget https://download.qt.io/official_releases/qt/6.8/${QT_VERSION}/single/qt-everywhere-src-${QT_VERSION}.tar.xz \
    && tar -xvf qt-everywhere-src-${QT_VERSION}.tar.xz > /dev/null \
    && cd ./qt-everywhere-src-${QT_VERSION} \
    && ./configure -prefix /opt/Qt/${QT_VERSION}/gcc_64 -opensource -debug-and-release -confirm-license -nomake examples -nomake tests -skip qtwebengine -skip qtcoap -skip qtopcua \
    && cmake --build . --parallel > /dev/null \
    && ninja install \
    && rm -fr /root/qt-everywhere-src-${QT_VERSION}* \
    && echo "export PATH=/opt/Qt/${QT_VERSION}/gcc_64/bin:$PATH" >> /etc/profile \
    && echo "export LD_LIBRARY_PATH=/opt/Qt/${QT_VERSION}/gcc_64/lib:$LD_LIBRARY_PATH" >> /etc/profile

ENV PATH=/opt/Qt/${QT_VERSION}/gcc_64/bin:$PATH
ENV LD_LIBRARY_PATH=/opt/Qt/${QT_VERSION}/gcc_64/lib:$LD_LIBRARY_PATH

# docker build --no-cache --progress=tty -f ubuntu2404-qt6.dockerfile -t registry.cn-shenzhen.aliyuncs.com/amass_toolset/ubuntu_dev:24.04-qt6.8.2 .
# docker push registry.cn-shenzhen.aliyuncs.com/amass_toolset/ubuntu_dev:24.04-qt6.8.2